<?php

namespace Bixo\Note;

use DB;
use Illuminate\Database\Seeder;

class NoteTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('notes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'note.note.view',
                'name'      => 'View Note',
            ],
            [
                'slug'      => 'note.note.create',
                'name'      => 'Create Note',
            ],
            [
                'slug'      => 'note.note.edit',
                'name'      => 'Update Note',
            ],
            [
                'slug'      => 'note.note.delete',
                'name'      => 'Delete Note',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/note/note',
                'name'        => 'Note',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/note/note',
                'name'        => 'Note',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'note',
                'name'        => 'Note',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Note',
                'module'    => 'Note',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'note.note.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
