<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for note in note package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  note module in note package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Note',
    'names'         => 'Notes',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Notes',
        'sub'   => 'Notes',
        'list'  => 'List of notes',
        'edit'  => 'Edit note',
        'create'    => 'Create new note'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'parent_type'                => 'Please enter parent type',
        'description'                => 'Please enter description',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'parent_type'                => 'Parent type',
        'description'                => 'Description',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'description'                => ['name' => 'Description', 'data-column' => 1, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Notes',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
