<?php

namespace Bixo\Note\Repositories\Eloquent;

use Bixo\Note\Interfaces\NoteRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NoteRepository extends BaseRepository implements NoteRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.note.note.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.note.note.model.model');
    }
}
