    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#note" data-toggle="tab">{!! trans('note::note.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#note-note-edit'  data-load-to='#note-note-entry' data-datatable='#note-note-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#note-note-entry' data-href='{{guard_url('note/note')}}/{{$note->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('note-note-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('note/note/'. $note->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="note">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('note::note.name') !!} [{!!$note->name!!}] </div>
                @include('note::admin.note.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>